Album: Stratosphere
Artists:
- Solatrus
Date: June 3, 2008
Date Added: April 13, 2024
URLs:
- https://solatrus.bandcamp.com/track/stratosphere
Cover Artists:
- Solatrus
Cover Art File Extension: png
Color: '#B7D7EC'
Groups:
- Solatrus
- Beyond
Commentary: |-
    <i>Solatrus:</i>
    Stratosphere is an old trance song I did just after finishing Dawn to Dusk (2008), but I never really promoted it!
---
Track: Stratosphere
Duration: 5:19
URLs:
- https://solatrus.bandcamp.com/track/stratosphere
